Description

Exporting to CSV currently includes a large number of columns in the exported file.  While this is sometimes useful, we have a use

case where it would be more useful to export exactly the same columns as displayed in the current issue list, as is done now for PDF

exports.

Related to #1190 which tracked a similar problem with PDFs

Related issues:

Related to Redmine - Feature #702: Export all issue columns in the export to csv Closed 2008-02-20

Related to Redmine - Patch #4727: Include user-specified field selection issu... Closed 2010-02-03

Related to Redmine - Feature #1564: PDF export of all issues with all informa... New 2008-07-03

Has duplicate Redmine - Defect #7654: As a user I would like the csv export  ... Closed 2011-02-18

Has duplicate Redmine - Defect #9379: The content issues is different when i ... Closed 2011-10-06

Associated revisions

Revision 7874 - 2011-11-20 14:23 - Jean-Philippe Lang

Adds a dialog box for CSV export options (#4742).

Revision 7879 - 2011-11-20 15:47 - Toshi MARUYAMA

remove unused Iconv from issues helper "issues_to_csv" method (#4742)

History

#1 - 2010-02-06 15:02 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Custom query 'Export to CSV' ignores field selection to Limit CSV export to query columns

Moved it as a feature since the current behaviour was requested in #702.

#2 - 2010-03-05 18:35 - Curtis Stewart

If I may, I request that feature.

The request to have all fields available in the CSV was that the CSV feed at that time contained fields that there was no to get on report. Since some

fields could not be placed on a report, the only way was to get a complete export and build our own report. This worked fine, and the customers could

get what they wanted, even if it had some extra steps.

With the improvements in the reporting, the users can now generate the report they want without the extra steps. As long as the reporting keeps

improving, this feature may not be as necessary. Things such as wrapping titles in the PDF (#4686) will all help the users get the reports in the format

they want without having to perform extra steps.

#3 - 2011-02-22 13:11 - Matthias Neubert

Hello,

I just wanted to raise an issue about the same problem, but before I found this issue here.

It exists since 1 year and the problem still exists. PDF export works fine but CSV

doesn't. I would embrace it if this will be fixed soon. Or does someone know why this is not fixed yet?

#4 - 2011-03-18 16:52 - Zbigniew Nowacki

2025-05-01 1/2

https://www.redmine.org/issues/1190
https://www.redmine.org/issues/702
https://www.redmine.org/issues/4686


Hello,

I have one more problem with this export. The field "Description" is export too. It usually contains a long descripton with many CR-LF characters.

During export all this CR-LF are put to CSV file. In consequence a CSV file is very irregular. Well, I thought the use of Custom query in export can

resolve this problem (this field is not necessery for me in CSV). I wonder if it is a problem for You. I am a new user of Redmine.

#5 - 2011-05-26 18:13 - Irfan Adilovic

- File 0001-Make-CSV-export-work-like-PDF.patch added

Here's a monkey-patch for those who wish to solve the problem quickly.

From redmine's root directory:

$ patch -p1 <0001-Make-CSV-export-work-like-PDF.patch@

 git users may want to use the standard git apply way.

Unfortunately, I do not know how to integrate the patch "properly"/non-invasively and hope one of the gurus will convert this to something more

meaningful in that sense. In my head, the ideal solution is to provide two different CSV links at the bottom: CSV | CSV (all fields) and have both ways

simply there.

Btw, this works with synthetic fields, specifically, with https://github.com/planio/redmine_spent_time_column.

#6 - 2011-05-26 18:41 - Etienne Massip

- Target version set to Candidate for next major release

#7 - 2011-11-20 11:59 - Jean-Philippe Lang

- File csv_export_options.png added

Maybe a dialog box for choosing options when exporting to CSV would make sense (with maybe other options like delimiter...):

 

#8 - 2011-11-20 14:23 - Jean-Philippe Lang

- File csv_export_options.png added

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.3.0

- Resolution set to Fixed

Feature added in r7874. By default, only selected columns are exported.

#9 - 2011-11-20 14:26 - Jean-Philippe Lang

- Subject changed from Limit CSV export to query columns to CSV export: option to export selected or all columns

Files

0001-Make-CSV-export-work-like-PDF.patch 4.64 KB 2011-05-26 Irfan Adilovic

csv_export_options.png 10 KB 2011-11-20 Jean-Philippe Lang

csv_export_options.png 8.85 KB 2011-11-20 Jean-Philippe Lang
